<?php
 
 
 

namespace PhpWA\Protocol\Proto\UserPassword;

use UnexpectedValueException;




class Encoding
{
    


    const UTF8 = 0;
    


    const UTF8_BROKEN = 1;

    private static $valueToName = [
        self::UTF8 => 'UTF8',
        self::UTF8_BROKEN => 'UTF8_BROKEN',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

